> For the complete documentation index, see [llms.txt](https://docs.logilica.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.logilica.com/advanced/datastudio-data-model/models/cibuildstage.md).

# CI Build Stage

## Description

Metrics relating to an individual state in a broader CI pipeline, e.g. a testing or linting phase as part of a large build pipeline.

## Measures

| Name                          | Title           | Description                                                   |
| ----------------------------- | --------------- | ------------------------------------------------------------- |
| `CiBuildStage.totalDuration`  | Total Duration  | Total duration time across CI build stages, in seconds.       |
| `CiBuildStage.avgDuration`    | Avg Duration    | Average duration time across CI build stages, in seconds.     |
| `CiBuildStage.medianDuration` | Median Duration | Median duration time across CI build stages, in seconds.      |
| `CiBuildStage.p90Duration`    | P90 Duration    | The 90th percentile duration for CI build stages, in seconds. |
| `CiBuildStage.minStartedAt`   | Min Started at  | The earliest UNIX timestamp for when a stage started.         |
| `CiBuildStage.count`          | Count           | Count of CI build stages.                                     |

## Dimensions

| Name                      | Title      | Description                                                   |
| ------------------------- | ---------- | ------------------------------------------------------------- |
| `CiBuildStage.id`         | Id         |                                                               |
| `CiBuildStage.name`       | Name       | Name of the CI build stage.                                   |
| `CiBuildStage.status`     | Status     | Status of the build stage, e.g., 'Running' or 'Completed'.    |
| `CiBuildStage.conclusion` | Conclusion | Final outcome of the build stage, e.g., 'Success', 'Failure'. |
| `CiBuildStage.duration`   | Duration   | Time taken to run this CI build stage, in seconds.            |
| `CiBuildStage.startedAt`  | Started at | UNIX timestamp of when this CI build stage started.           |

## Connected Cubes

All fields belonging to the following cubes are also reachable from CiBuildStage:

* [CI Build](/advanced/datastudio-data-model/models/cibuild.md)
* [CI Build Stage](/advanced/datastudio-data-model/models/cibuildstage.md)
* [Contributor](/advanced/datastudio-data-model/models/contributor.md)
* [Team](/advanced/datastudio-data-model/models/team.md)
* [Repositories](/advanced/datastudio-data-model/models/project.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.logilica.com/advanced/datastudio-data-model/models/cibuildstage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
